# Residents

Manages resident portals and announcements for a tenant.

 - [POST /residentPortals](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/addresidentportal.md): Allows the user to add a resident portal.
 - [POST /residentPortals/query](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/queryresidentportals.md): Gets the list of resident portals using the specified query.
 - [GET /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/fetchresidentportal.md): Allows the user to get a resident portal with the given id.
 - [DELETE /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/deleteresidentportal.md): Allows the user to delete a resident portal with the given id.
 - [PATCH /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/editresidentportal.md): Allows the user to selectively update resident portal configurations.
 - [GET /residentPortals/{portalId}/files/{type}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/downloadportalfile.md): Allows the user to get a resident portal file with the given id.
 - [DELETE /residentPortals/{portalId}/files/{type}](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/deleteportalfile.md): Allows the user to delete a resident portal file with the given id.
 - [GET /residentPortals](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/getallportals.md): Gets the list of resident portals paged. This method will be removed no sooner than 08/31/2026. The following URL POST /residentPortals/query can be used for this content.
 - [DELETE /residentPortals](https://docs.ruckus.cloud/api/property-management-1.0.1/residents/deleteresidentportals.md): Allows the user to delete resident portals with the given ids. This method will be removed no sooner than 08/31/2026. The following URL DELETE /residentPortals/{portalId} can be used for this content.
